package com.viettel.campaign.repository.ccms_full;

import com.viettel.campaign.web.dto.*;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CampaignExecuteRepository {

    List<CampaignDTO> searchCampaignExecute(CampaignRequestDTO campaignRequestDto, Pageable pageable);

    //<editor-fold: hungtt>

    List<ApParamDTO> getComboBoxStatus(String companySiteId, String completeType);

    List<ApParamDTO> getComboCampaignType(String companySiteId);

    List<ContactCustResultDTO> getInteractiveResult(CampaignRequestDTO dto, Pageable pageable);

    List<ContactCustResultDTO> getExcelInteractiveResult(CampaignRequestDTO dto);
}
